Rivet: Nucleus/ion functions

| Rivet 3.1.9

Functions
Nucleus/ion functions

## Functions
bool | Rivet::PID::isNucleus (int pid)
| Is this a nucleus PID?
int | Rivet::PID::nuclZ (int pid)
int | Rivet::PID::Z (int pid)
int | Rivet::PID::nuclA (int pid)
int | Rivet::PID::A (int pid)
int | Rivet::PID::nuclNlambda (int pid)
int | Rivet::PID::lambda (int pid)

## Detailed Description

## Function Documentation

## ◆ A()

int Rivet::PID::A | ( | int | pid | ) |
| inline

Deprecated:
  Use nuclA()

References Rivet::PID::nuclA(), and Rivet::pid().

## ◆ isNucleus()

bool Rivet::PID::isNucleus | ( | int | pid | ) |
| inline

Is this a nucleus PID?

This implements the 2006 Monte Carlo nuclear code scheme. Ion numbers are +/- 10LZZZAAAI. AAA is A - total baryon number ZZZ is Z - total charge L is the total number of strange quarks. I is the isomer number, with I=0 corresponding to the ground state.

References Rivet::pid().

Referenced by Rivet::PID::nuclA(), Rivet::PID::nuclNlambda(), and Rivet::PID::nuclZ().

## ◆ lambda()

int Rivet::PID::lambda | ( | int | pid | ) |
| inline

Deprecated:
  Use nuclNlambda()

References Rivet::PID::nuclNlambda(), and Rivet::pid().

## ◆ nuclA()

int Rivet::PID::nuclA | ( | int | pid | ) |
| inline

Get the atomic weight (number of nucleons) in a nucleus/ion

Note
  Ion numbers are +/- 10LZZZAAAI.

References Rivet::PID::isNucleus(), and Rivet::pid().

Referenced by Rivet::PID::A().

## ◆ nuclNlambda()

int Rivet::PID::nuclNlambda | ( | int | pid | ) |
| inline

If this is a nucleus (ion), get nLambda

Note
  Ion numbers are +/- 10LZZZAAAI.

References Rivet::PID::isNucleus(), and Rivet::pid().

Referenced by Rivet::PID::lambda().

## ◆ nuclZ()

int Rivet::PID::nuclZ | ( | int | pid | ) |
| inline

Get the atomic number (number of protons) in a nucleus/ion

Note
  Ion numbers are +/- 10LZZZAAAI.

References Rivet::PID::isNucleus(), and Rivet::pid().

Referenced by Rivet::PID::Z().

## ◆ Z()

int Rivet::PID::Z | ( | int | pid | ) |
| inline

Deprecated:
  Use nuclZ()

References Rivet::PID::nuclZ(), and Rivet::pid().